| NANO100_BSP V3.05.000 The Board Support Package for Nano100BN Series

Functions | Variables
LCDLIB Exported Functions
NANO100 Library » LCD Library » LCDLIB Exported Structs
Collaboration diagram for LCDLIB Exported Functions:

## Functions
void | LCDLIB_Printf (uint32_t u32Zone, char *string)
| Display text on LCD. More...
void | LCDLIB_PutChar (uint32_t u32Zone, uint32_t u32Index, uint8_t u8Ch)
| Display character on LCD. More...
void | LCDLIB_SetSymbol (uint32_t u32Zone, uint32_t u32Index, uint32_t u32OnOff)
| Display symbol on LCD. More...
void | LCDLIB_PrintNumber (uint32_t u32Zone, long long value)
| Display number on LCD. More...

## Variables
uint32_t | ZoneInfo_TypeDef::Sub_Zone_Num
uint32_t | ZoneInfo_TypeDef::Zone_Digit_SegNum

## Detailed Description

## Function Documentation

## ◆ LCDLIB_Printf()

void LCDLIB_Printf | ( | uint32_t | u32Zone,
|  | char * | string
| ) |  |

Display text on LCD.

Parameters

  [in] | u32Zone | the assigned number of display area
  [in] | string | Text string to show on display

Returns
  None

Definition at line 52 of file LCDLIB.c.

Here is the call graph for this function:

## ◆ LCDLIB_PrintNumber()

void LCDLIB_PrintNumber | ( | uint32_t | u32Zone,
|  | long long | value
| ) |  |

Display number on LCD.

Parameters

  [in] | u32Zone | the assigned number of display area
  [in] | value | number to show on display

Returns
  None

Definition at line 110 of file LCDLIB.c.

Here is the call graph for this function:

## ◆ LCDLIB_PutChar()

void LCDLIB_PutChar | ( | uint32_t | u32Zone,
|  | uint32_t | u32Index,
|  | uint8_t | u8Ch
| ) |  |

Display character on LCD.

Parameters

  [in] | u32Zone | the assigned number of display area
  [in] | u32Index | the requested display position in zone
  [in] | u8Ch | Character to show on display

Returns
  None

Definition at line 181 of file LCDLIB.c.

Here is the call graph for this function:

## ◆ LCDLIB_SetSymbol()

void LCDLIB_SetSymbol | ( | uint32_t | u32Zone,
|  | uint32_t | u32Index,
|  | uint32_t | u32OnOff
| ) |  |

Display symbol on LCD.

Parameters

  [in] | u32Zone | the assigned number of display area
  [in] | u32Index | the requested display position in zone
  [in] | u32OnOff | 1: display symbol 0: not display symbol

Returns
  None

Definition at line 230 of file LCDLIB.c.

Here is the call graph for this function:

## Variable Documentation

## ◆ Sub_Zone_Num

uint32_t ZoneInfo_TypeDef::Sub_Zone_Num

Sub zone number

Definition at line 34 of file LCDLIB.h.

## ◆ Zone_Digit_SegNum

uint32_t ZoneInfo_TypeDef::Zone_Digit_SegNum

Segment number

Definition at line 35 of file LCDLIB.h.